com.io7m.jcanephora.core

## Enum JCGLPolygonMode

- java.lang.Object
- - java.lang.Enum<JCGLPolygonMode>
  - - com.io7m.jcanephora.core.JCGLPolygonMode

- All Implemented Interfaces:
    Serializable, Comparable<JCGLPolygonMode>

      public enum JCGLPolygonMode
      extends Enum<JCGLPolygonMode>

  Polygon mode selection.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POLYGON_FILL` Render filled polygons.
    `POLYGON_LINES` Render lines only.
    `POLYGON_POINTS` Render points only.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLPolygonMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLPolygonMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POLYGON_FILL

          public static final JCGLPolygonMode POLYGON_FILL

      Render filled polygons.

    - #### POLYGON_LINES

          public static final JCGLPolygonMode POLYGON_LINES

      Render lines only.

    - #### POLYGON_POINTS

          public static final JCGLPolygonMode POLYGON_POINTS

      Render points only.

  - ### Method Detail

    - #### values

          public static JCGLPolygonMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLPolygonMode c : JCGLPolygonMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLPolygonMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com